Docs / Using the API

Storages

List the storage volumes belonging to a team.

  1. Endpoint
  2. Query parameters
  3. Example request
  4. Example response

Returns the storage volumes belonging to a team.

Endpoint

GET /api/{team}/storages

Required ability: storages:read

Query parameters

Parameter Type Default Maximum Description
per_page integer 20 50 Number of objects per page.
page integer 1 N/A The page to retrieve.

Example request

curl "https://rocketeersapp.com/api/your-team/storages?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

Example response

{
  "data": [
    {
      "id": 1,
      "name": "backups",
      "provider_slug": "hetzner",
      "size": "100GB",
      "created_at": "2026-01-15T09:30:00+00:00"
    },
    {
      "id": 2,
      "name": "media",
      "provider_slug": "aws-s3",
      "size": "500GB",
      "created_at": "2026-02-12T13:20:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/storages?page=1",
    "last": "https://rocketeersapp.com/api/your-team/storages?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 20,
    "to": 6,
    "total": 6,
    "path": "https://rocketeersapp.com/api/your-team/storages"
  },
  "results": 6,
  "served_in": "6.92ms"
}